aboutsummaryrefslogtreecommitdiffstats
path: root/community/libzmf/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2017-02-08 14:27:19 +0000
committerTimo Teräs <timo.teras@iki.fi>2017-02-08 14:30:10 +0000
commita13840afc875b6e5059827d9e0c3ad3778cddfa3 (patch)
treeb15878c5c78801f71c0084e166f13e4c7072c002 /community/libzmf/APKBUILD
parente896925005dc2a8a52a1b868ead747d5ca9125ab (diff)
downloadaports-a13840afc875b6e5059827d9e0c3ad3778cddfa3.tar.gz
aports-a13840afc875b6e5059827d9e0c3ad3778cddfa3.tar.bz2
aports-a13840afc875b6e5059827d9e0c3ad3778cddfa3.tar.xz
community/libzmf: new aport
Import filter and tools for Zoner Callisto/Draw documents https://wiki.documentfoundation.org/DLP/Libraries/libzmf
Diffstat (limited to 'community/libzmf/APKBUILD')
-rw-r--r--community/libzmf/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/community/libzmf/APKBUILD b/community/libzmf/APKBUILD
new file mode 100644
index 0000000000..10a774d35c
--- /dev/null
+++ b/community/libzmf/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=libzmf
+pkgver=0.0.1
+pkgrel=0
+pkgdesc="Import filter and tools for Zoner Callisto/Draw documents"
+url="https://wiki.documentfoundation.org/DLP/Libraries/libzmf"
+arch="all"
+license="MPL2"
+depends=""
+depends_dev="boost-dev icu-dev libpng-dev zlib-dev"
+makedepends="$depends_dev librevenge-dev doxygen"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://dev-www.libreoffice.org/src/libzmf/libzmf-$pkgver.tar.xz"
+builddir="$srcdir/libzmf-$pkgver"
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="5a002c50af653b67b3c2aedd979a2972 libzmf-0.0.1.tar.xz"
+sha256sums="eaf533ea29f9b66e75c0dcb631f1616b4f3cec9474e4fa0d2835769056a0e57a libzmf-0.0.1.tar.xz"
+sha512sums="cf601974a762ddee45430c136f40231e7659884544881ab37563a97e169201bfd335bad1ddc220e882612e2480070c4a36ba3826242a48e12105e20bb6f717e2 libzmf-0.0.1.tar.xz"